Bug 955707 - CVE-2013-1428 tinc: Stack-based buffer overflow when processing overly long TCP packets [fedora-all]
CVE-2013-1428 tinc: Stack-based buffer overflow when processing overly long T...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tinc (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-1428
  Show dependency treegraph
 
Reported: 2013-04-23 10:58 EDT by Jan Lieskovsky
Modified: 2013-05-24 16:17 EDT (History)
1 user (show)

See Also:
Fixed In Version: tinc-1.0.21-1.fc19
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-14 23:23:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-04-23 10:58:32 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2013-04-23 10:58:40 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=955705,955707
Comment 2 Fedora Update System 2013-04-30 02:20:27 EDT
tinc-1.0.21-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tinc-1.0.21-1.fc18
Comment 3 Fedora Update System 2013-04-30 02:20:45 EDT
tinc-1.0.21-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tinc-1.0.21-1.fc17
Comment 4 Fedora Update System 2013-04-30 02:21:06 EDT
tinc-1.0.21-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tinc-1.0.21-1.fc19
Comment 5 Fedora Update System 2013-04-30 16:08:21 EDT
Package tinc-1.0.21-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tinc-1.0.21-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-7085/tinc-1.0.21-1.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-05-14 23:23:38 EDT
tinc-1.0.21-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-05-14 23:33:50 EDT
tinc-1.0.21-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-05-24 16:17:16 EDT
tinc-1.0.21-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.